Selection.Range (jEdit API Documentation)

Package org.gjt.sp.jedit.textarea

## Class Selection.Range

- java.lang.Object
- - org.gjt.sp.jedit.textarea.Selection
  - - org.gjt.sp.jedit.textarea.Selection.Range

- All Implemented Interfaces:
    `java.lang.Cloneable`
  Enclosing class:
    Selection

      public static class Selection.Range
      extends Selection

  An ordinary range selection.
  Since:
    jEdit 3.2pre1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gjt.sp.jedit.textarea.Selection

      `Selection.Range, Selection.Rect`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Range()` |
    `Range​(int start, int end)` |
    `Range​(Selection sel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getEnd​(JEditBuffer buffer, int line)` | Returns the end of the portion of the selection falling on the specified line.
    `int` | `getStart​(JEditBuffer buffer, int line)` | Returns the beginning of the portion of the selection falling on the specified line.

    - ### Methods inherited from class org.gjt.sp.jedit.textarea.Selection

      `clone, getEnd, getEndLine, getStart, getStartLine, overlaps, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Range

          public Range()

    - #### Range

          public Range​(Selection sel)

    - #### Range

          public Range​(int start,
                       int end)

  - ### Method Detail

    - #### getStart

          public int getStart​(JEditBuffer buffer,
                              int line)

      Description copied from class: `Selection`
      Returns the beginning of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.
      Specified by:
        `getStart` in class `Selection`
      Parameters:
        `buffer` - The buffer
        `line` - The line number

    - #### getEnd

          public int getEnd​(JEditBuffer buffer,
                            int line)

      Description copied from class: `Selection`
      Returns the end of the portion of the selection falling on the specified line. Used to manipulate selection text on a line-by-line basis.
      Specified by:
        `getEnd` in class `Selection`
      Parameters:
        `buffer` - The buffer
        `line` - The line number